Bug 100877 - the nfs service is highly dysfunctional
the nfs service is highly dysfunctional
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils (Show other bugs)
9
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-26 09:16 EDT by cmoloney
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-16 06:15:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cmoloney 2003-07-26 09:16:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
I created  a set of users on an nfs server. I exported their home directories
(/etc/exports).

I created the same set of users on a network client. I configured /etc/fstab on
the client to point to the user home directories on the nfs server.

now, when i attempt to logon at the client, as one of the users, the logon fails
with an error "No locks available (error=37)" 

It appears that all critical nfs files are missing from the default rh9 desktop
and workstation installations. How therefore can one build a network client to
talk to an nfs server?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.On an a RH9 nfs server, create a new user. 
2.on the server, in /etc/exports, export the new user's home directory to all
clients in the network. (/home/tigertim/ *.mynetwork.com Red/Write)
3.on any network client (a default RH9 workstation or desktop) create the same
new user
4. on the client, modify the /etc/fstab file to include the line
"fileserver.mynetwork.com:/home/tigertim /home/tigertim nfs defaults 0 0"
5.Reboot the client
6. Attempt to login to the client as tigertim
    

Actual Results:  Error message :
No locks available (error=37)

Expected Results:  tigertim should be able to login to the client and open his
home directory which - by default - would now be one on the network file server.

Additional info:

As i have already commented elsewhere it seems the nfs client is not on machines
installed using the default RH9 workstation or desktop settings. Nor, it seems,
is the nfs client available anywhere on the RH disks or rpm list. Certainly the
necessary rpc files are missing and not to be found in any any RH resources.

Note You need to log in before you can comment on or make changes to this bug.